### Constructor

# Camel MimeFilterGZip new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_gzip_new (
      CamelMimeFilterGZipMode mode,
      gint level
    )

#### Description [src]

Creates a new gzip (or gunzip) filter.

#### Parameters

`mode`

  Type: `CamelMimeFilterGZipMode`

  Zip or unzip.

`level`

  Type: `gint`

  Compression level.

#### Return value

Type: `CamelMimeFilter`

A new gzip (or gunzip) filter.

The caller of the function takes ownership of the data, and is responsible for freeing it.